=== debian/changelog ===
libgnu-regexp-java (1.1.4-4) unstable; urgency=low

  * Change Maintainer to Debian Java Maintainers.
  * Add myself to Uploaders.
  * Add Homepage and Vcs headers.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.
  * Change Section: java.
  * Clean up dependencies.
  * Switch to debhelper 7.
  * Convert d/copyright to dep5 format.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 May 2010 12:35:46 +0200

libgnu-regexp-java (1.1.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use default-jdk instead of jikes and kaffe. (Closes: #528055)

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Sep 2009 20:22:30 +0200

libgnu-regexp-java (1.1.4-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Adjust CLASSPATH to upstream kaffe changes (Closes: #348371).

 -- Luk Claes <luk@debian.org>  Wed, 25 Jan 2006 23:27:40 +0100

libgnu-regexp-java (1.1.4-3) unstable; urgency=low
  * Removed extra backup file (Closes: #325854).

 -- Kalle Kivimaa <killer@debian.org>  Wed, 31 Aug 2005 15:00:00 +0300

libgnu-regexp-java (1.1.4-2) unstable; urgency=low
  * Changed the maintainer email address to killer@debian.org.
  * Added the current maintainer address to the copyright file.
  * Updated the standards version to the current (3.6.1.0).

 -- Kalle Kivimaa <killer@debian.org>  Sun, 19 Oct 2003 11:00:00 +0200
  

libgnu-regexp-java (1.1.4-1) unstable; urgency=low

  * New maintainer (sponsored for Kalle Kivimaa <kalle.kivimaa@iki.fi>)
    closes: #174856
  * Jar package now correctly formed, closes: #117660
  * Missing gnu-regexp-applet.jar added, closes: #106642
  * Updated the package from upstream.
  * Added dependency to libgetopt-java as required by
  * the new upstream version.
  * Naming, dependencies, and packaging changed to conform with
    the Debian policy for Java.
  * Package changed to conform with the latest policy (3.5.8).
  * README.Debian updated.
  * control, changelog, postinst, prerm, copyright cleanup
    to remove lintian complaints.

 -- Takashi Okamoto <tora@debian.org>  Sun,  9 Feb 2003 08:34:49 +0900

libgnu-regexp-java (1.1.1-1) unstable; urgency=low

  * New maintainer, closes: #92819.
  * New upstream release.
  * Index bug fixed by upstream, closes: #67153.
  * Repackaged reusing some parts of the original package.
  * Now suggests lib-gnu.getopt-java, closes: #62031.
  * Implement /usr/share/doc transition plan, closes: #91531.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  5 Apr 2001 21:23:58 +0300

libgnu-regexp-java (1.0.8-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Fri, 25 Jun 1999 13:38:08 +0200
