=== debian/control ===
Source: libgnu-regexp-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kalle Kivimaa <killer@debian.org>, Torsten Werner <twerner@debian.org>
Standards-Version: 3.8.4
Build-Depends-Indep: default-jdk, lynx (>= 2.8.4), libgetopt-java (>= 1.0.9-8)
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://savannah.gnu.org/projects/gnu-regexp
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libgnu-regexp-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libgnu-regexp-java/

Package: libgnu-regexp-java
Architecture: all
Depends: libgetopt-java, ${misc:Depends}
Description: Regular Expressions for Java
 The gnu-regexp package is a pure-Java implementation of a traditional 
 (non-POSIX) NFA regular expression engine. Its syntax can emulate many 
 popular development tools, including awk, sed, emacs, perl and grep.
