=== debian/rules ===
#!/usr/bin/make -f

export CLASSPATH=.:/usr/share/java/gnu-getopt.jar

%:
	dh $@

override_dh_auto_clean:
	find . -name '*.jar' -delete
	$(RM) -rf lib/* docs/changelog

override_dh_auto_build:
	$(MAKE) -C src JAVAC=javac gnu.regexp utils
	cd lib && jar uf gnu-regexp-1.1.4.jar gnu/regexp/util/*.class
	lynx -dump -nolist docs/changes.html > docs/changelog
